/*
 * poll.c
 */


#include<sys/types.h>

#include<callgate.h>
#include<errno.h>
#include<limits.h>
#include<poll.h>


extern int _poll(struct pollfd *ufds, nfds_t nfds, int timeout);


int poll(struct pollfd *ufds, nfds_t nfds, int timeout)
{
	if(nfds>OPEN_MAX)return _error(EINVAL);

	return _poll(ufds,nfds,timeout);
}
